#ifndef V3D_H
#define V3D_H


void v3dSum( const double v1[], const double v2[], double res[] );

void v3dSub( const double v1[], const double v2[], double res[] );

void v3dMul( const double v[], const double k, double res[] );

double v3dLength( const double vec[] );

void v3dNormalize( double vec[] );

double v3dDot( const double v1[], const double v2[] );

void v3dCross( const double v1[], const double v2[], double res[]);

void v3dSet( double dst[], const double src[] );

void v3dSet2( double dst[], double vx, double vy, double vz );

void v3dSetZero( double v[] );

double v3dDist( const double v1[], const double v2[] );

int v3dEqual( const double v1[], const double v2[] );

int v3dEqualThreshold( const double v1[], const double v2[], double threshold );

#endif
